# Alimentation du système


## Introduction

Notre système étant installé dans une forêt, nous devons l'alimenter sur batterie alimentée par un panneau solaire.


## Alimenter le microcontrôleur sur batterie

Pour alimenter le microcontrôleur (STM32), il existe 2 moyens : via le pin $V_{in}$ ou via le port USB classique.
Cela permet de l'alimenter en 5 V.

Le port USB peut recevoir une tension allant jusqu'à 5 V, alors que le port V_in peut recevoir une tension allant jusqu'à 12 V. On utilise donc le régulateur LM-317 du montage qui délivre une tension de 8,3 V pour alimenter le STM32 en électricité. Il est également possible d'utiliser le régulateur de tension interne au STM32 pour alimenter d'autres périphériques.

Pour alimenter le microcontrôleur via une alimentation externe ou via le câble USB, il faut modifier les 3 pins avec écrit "E5V" pour "external 5 V" et "U5V" pour "USB 5 V". Il faut déplacer le cavalier des deux pins d'un côté vers un autre.

![photo des pins en question](./Images%20et%20sch%C3%A9mas/pins%20cavalier%20stm32.jpg)


## Alimenter l'appareil photo sur batterie

L'appareil photo dispose d'une batterie interne, cependant cette solution n'est pas pratique, parce qu'il faudrait retirer la batterie pour la recharger sur un socle de recharge. Il faut donc déporter la batterie vers l'extérieur. Pour cela, il existe des batteries factices telle que celle-ci :

![batterie factice](./Images%20et%20sch%C3%A9mas/batterie_factice.jpg)

En dénudant l'embout, on peut le brancher à une batterie.


## Alimenter le microcontrôleur + l'appareil photo + la commande de prise de photo

On peut également alimenter l'ensemble du système microcontrôleur + appareil photo + shutter sur batterie.

![Image non trouvée : ./Images/prototype 1 - appareil + commande stm32 sur batterie.jpg](./Images%20et%20sch%C3%A9mas/prototype 1 - appareil + commande stm32 sur batterie.jpg "Image non trouvée : ./Images/prototype 1 - appareil + commande stm32 sur batterie.jpg")

